summaryrefslogtreecommitdiffstats
path: root/maven/projects/jogl-main
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
committerMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
commit6c2d8d425df5436663f85a5cf0a5396ae3de7d6f (patch)
treeb3fc7345e4494517327832306b8b4317a2050228 /maven/projects/jogl-main
parentc386cf285bfaf797c6779189c09e42d68e43b102 (diff)
Add jogl-main, nativewindow-main, newt-main - frontends for the atomics
packages that allow for pulling in all platform natives easily. Add test suite. Bug: 1023
Diffstat (limited to 'maven/projects/jogl-main')
-rw-r--r--maven/projects/jogl-main/atomics1
-rw-r--r--maven/projects/jogl-main/main-jar1
-rw-r--r--maven/projects/jogl-main/natives1
-rwxr-xr-xmaven/projects/jogl-main/pom.sh80
-rw-r--r--maven/projects/jogl-main/source-zip1
5 files changed, 84 insertions, 0 deletions
diff --git a/maven/projects/jogl-main/atomics b/maven/projects/jogl-main/atomics
new file mode 100644
index 0000000..8b13789
--- /dev/null
+++ b/maven/projects/jogl-main/atomics
@@ -0,0 +1 @@
+
diff --git a/maven/projects/jogl-main/main-jar b/maven/projects/jogl-main/main-jar
new file mode 100644
index 0000000..421376d
--- /dev/null
+++ b/maven/projects/jogl-main/main-jar
@@ -0,0 +1 @@
+dummy
diff --git a/maven/projects/jogl-main/natives b/maven/projects/jogl-main/natives
new file mode 100644
index 0000000..621e94f
--- /dev/null
+++ b/maven/projects/jogl-main/natives
@@ -0,0 +1 @@
+none
diff --git a/maven/projects/jogl-main/pom.sh b/maven/projects/jogl-main/pom.sh
new file mode 100755
index 0000000..10e42d7
--- /dev/null
+++ b/maven/projects/jogl-main/pom.sh
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]
+then
+ echo "usage: version platforms+" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+PLATFORMS="$@"
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by jogl-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>jogl-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOGL atomics</name>
+ <description>Java™ Binding for the OpenGL® API (Atomics frontend)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on jogl, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jogl</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+EOF
+
+for BACKEND in osx win x11
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jogl</artifactId>
+ <version>\${project.version}</version>
+ <classifier>os-${BACKEND}</classifier>
+ </dependency>
+EOF
+done
+
+echo
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jogl</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat ../jogl/pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/projects/jogl-main/source-zip b/maven/projects/jogl-main/source-zip
new file mode 100644
index 0000000..d405da9
--- /dev/null
+++ b/maven/projects/jogl-main/source-zip
@@ -0,0 +1 @@
+dummy-src